package com.eactive.eai.adapter.socket2.protocol.law;

import com.eactive.eai.adapter.socket2.config.SocketAdapterContext;
import com.eactive.eai.adapter.socket2.protocol.TcpAdapterClient;
import com.eactive.eai.adapter.socket2.protocol.law.codec.LawSendCodecFactory;
import org.apache.mina.filter.codec.ProtocolCodecFilter;


public class LawClient extends TcpAdapterClient {
	public LawClient(SocketAdapterContext context) throws Exception {
		super(context);		
		this.handler = new LawHandler(this);
		config.getFilterChain().addFirst("codec", new ProtocolCodecFilter(new LawSendCodecFactory(this)));
	}
}
